Ogre::MeshLodUsage Struct Reference
Resources

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

List of all members.

## Public Member Functions

| MeshLodUsage ()

## Public Attributes

Real | userValue
| User-supplied values used to determine when th is lod applies.
Real | value
| Value used by to determine when this lod applies.
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use.
String | manualGroup
| Only relevant if mIsLodManual is true, the name of the group of the alternative mesh.
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time.
EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh)

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

Definition at line 889 of file OgreMesh.h.

## Constructor & Destructor Documentation

Ogre::MeshLodUsage::MeshLodUsage | ( |  | ) |

Definition at line 913 of file OgreMesh.h.

## Member Data Documentation

EdgeData* Ogre::MeshLodUsage::edgeData`[mutable]`

Edge list for this LOD level (may be derived from manual mesh)

Definition at line 911 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualGroup

Only relevant if mIsLodManual is true, the name of the group of the alternative mesh.

Definition at line 907 of file OgreMesh.h.

MeshPtr Ogre::MeshLodUsage::manualMesh`[mutable]`

Hard link to mesh to avoid looking up each time.

Definition at line 909 of file OgreMesh.h.

String Ogre::MeshLodUsage::manualName

Only relevant if mIsLodManual is true, the name of the alternative mesh to use.

Definition at line 905 of file OgreMesh.h.

Real Ogre::MeshLodUsage::userValue

User-supplied values used to determine when th is lod applies.

Remarks:
  This is required in case the lod strategy changes.

Definition at line 895 of file OgreMesh.h.

Real Ogre::MeshLodUsage::value

Value used by to determine when this lod applies.

Remarks:
  May be interpretted differently by different strategies. Transformed from user-supplied values with LodStrategy::transformUserValue.

Definition at line 902 of file OgreMesh.h.

The documentation for this struct was generated from the following file:

- OgreMesh.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:31